
Katello - Bug #5163

System group limit of -1 is accepted 

04/11/2014 06:29 PM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web UI   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 848564 Red Hat JIRA:  

Pull request:    

Description

(In reply to Jeff Weiss from comment #0)

Description of problem:

Version-Release number of selected component (if applicable):

Katello Version: 1.1.4-1.git.74.4bc9528.el6_3

How reproducible:

Steps to Reproduce:

1. Create a system group

2. Select it

3. change the Limit from unlimited to -1

Actual results:

System group updated

Expected results:

Error notification like "System group limit must be positive integer".

Additional info:

already automated.

Associated revisions

Revision 09d0f165 - 06/03/2014 11:14 AM - Walden Raines

Fixes #5163/BZ848564 - ensure limited host groups have >= 1 hosts.

Revision f10db471 - 06/03/2014 03:14 PM - Walden Raines

Fixes #5163/BZ848564 - ensure limited host groups have >= 1 hosts.

Revision c1cbf459 - 06/04/2014 09:16 AM - Walden Raines

Merge pull request #4203 from waldenraines/5163

Fixes #5163/BZ848564 - ensure limited host groups have >= 1 hosts.

Revision ca4b35e3 - 06/04/2014 01:16 PM - Walden Raines

Merge pull request #4203 from waldenraines/5163

Fixes #5163/BZ848564 - ensure limited host groups have >= 1 hosts.

History
#1 - 04/14/2014 02:34 PM - Walden Raines

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=848564

#2 - 06/03/2014 03:09 PM - Walden Raines

- Status changed from New to Ready For Testing

https://github.com/Katello/katello/pull/4203

#3 - 06/03/2014 03:27 PM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#4 - 06/04/2014 01:52 PM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:f10db471b33b86cf15c03af0889a3fca85dec4be.

#5 - 08/21/2014 02:45 PM - Eric Helms

- translation missing: en.field_release set to 13
